## gittuf 0.9.0

=== Makefile ===
# SPDX-License-Identifier: Apache-2.0

GIT_VERSION ?= $(shell git describe --tags --always --dirty)

LDFLAGS=-buildid= -X github.com/gittuf/gittuf/internal/version.gitVersion=$(GIT_VERSION)

.PHONY : build test install fmt

default : install

build : test
ifeq ($(OS),Windows_NT)
	set CGO_ENABLED=0
	go build -trimpath -ldflags "$(LDFLAGS)" -o dist/gittuf .
	go build -trimpath -ldflags "$(LDFLAGS)" -o dist/git-remote-gittuf ./internal/git-remote-gittuf
	set CGO_ENABLED=
else
	CGO_ENABLED=0 go build -trimpath -ldflags "$(LDFLAGS)" -o dist/gittuf .
	CGO_ENABLED=0 go build -trimpath -ldflags "$(LDFLAGS)" -o dist/git-remote-gittuf ./internal/git-remote-gittuf
endif

install : test just-install

just-install :
ifeq ($(OS),Windows_NT)
	set CGO_ENABLED=0
	go install -trimpath -ldflags "$(LDFLAGS)" github.com/gittuf/gittuf
	go install -trimpath -ldflags "$(LDFLAGS)" github.com/gittuf/gittuf/internal/git-remote-gittuf
	set CGO_ENABLED=
else
	CGO_ENABLED=0 go install -trimpath -ldflags "$(LDFLAGS)" github.com/gittuf/gittuf
	CGO_ENABLED=0 go install -trimpath -ldflags "$(LDFLAGS)" github.com/gittuf/gittuf/internal/git-remote-gittuf
endif

test :
	go test -timeout 20m -v ./...

fmt :
	go fmt ./...

generate :
	go generate ./...

=== debian/changelog ===
gittuf (0.9.0-5) unstable; urgency=medium

  * Set TMPDIR for Go testing.TempDir, fixing FTBFS repro build.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 13 Apr 2025 15:23:16 +0200

gittuf (0.9.0-4) unstable; urgency=medium

  * gittuf: Use wildcard lintian field-too-long override.
  * Use GOTMPDIR to avoid assuming /tmp, fixing debci/autopkgtest.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 10 Apr 2025 11:31:26 +0200

gittuf (0.9.0-3) unstable; urgency=medium

  * gittuf: Add Static-Built-Using, suggested by lintian.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 09 Apr 2025 19:45:27 +0200

gittuf (0.9.0-2) unstable; urgency=medium

  * B-D on sigstore-go>=0.7.0.  Fix *-dev Depends.
  * Revert "Refresh d/patches/."
  * Reapply essential part of last broken commit.
  * Add upstream patches to fix FTBFS.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 26 Mar 2025 08:48:09 +0100

gittuf (0.9.0-1) unstable; urgency=medium

  * Make B-D openssh-client unconditional for debci.
  * New upstream version 0.9.0
  * Refresh d/patches/.
  * Add new B-D's.
  * Standards-Version: 4.7.2.
  * Fix gittuf lintian overrides.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 16 Mar 2025 15:26:27 +0100

gittuf (0.8.0-3) unstable; urgency=medium

  * Make B-D openssh-client unconditional for debci.
  * Standards-Version: 4.7.1.
  * Add gittuf.manpages.
  * Add manpage for git-remote-gittuf.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 23 Feb 2025 09:11:36 +0100

gittuf (0.8.0-2) unstable; urgency=medium

  * salsa-ci.yml: Drop some local apt repos.
  * Drop unnecessary B-D version requirements.
  * Add documentation including manpages.
  * Add lintian overrides for field-too-long.
  * Bump d/* copyright years.
  * Run wrap-and-sort -satbk.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 23 Jan 2025 01:28:05 +0100

gittuf (0.8.0-1) unstable; urgency=medium

  * Initial release (Closes: #1089833)

 -- Simon Josefsson <simon@josefsson.org>  Fri, 13 Dec 2024 13:02:39 +0100

=== debian/control ===
Source: gittuf
Section: vcs
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 git <!nocheck>,
 golang-any,
 golang-github-charmbracelet-bubbles-dev,
 golang-github-charmbracelet-bubbletea-dev,
 golang-github-charmbracelet-lipgloss-dev,
 golang-github-danwakefield-fnmatch-dev,
 golang-github-github-smimesign-dev,
 golang-github-go-git-go-git-dev,
 golang-github-google-go-github-dev,
 golang-github-hiddeco-sshsig-dev,
 golang-github-in-toto-attestation-dev,
 golang-github-jonboulle-clockwork-dev,
 golang-github-protonmail-go-crypto-dev,
 golang-github-secure-systems-lab-go-securesystemslib-dev,
 golang-github-sigstore-cosign-dev,
 golang-github-sigstore-gitsign-dev,
 golang-github-sigstore-protobuf-specs-dev,
 golang-github-sigstore-sigstore-dev,
 golang-github-sigstore-sigstore-go-dev (>> 0.7.0~),
 golang-github-spf13-cobra-dev,
 golang-github-stretchr-testify-dev,
 golang-golang-x-crypto-dev,
 golang-google-protobuf-dev,
 help2man <!nodoc>,
 openssh-client,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/gittuf
Vcs-Git: https://salsa.debian.org/go-team/packages/gittuf.git
Homepage: https://github.com/gittuf/gittuf
XS-Go-Import-Path: github.com/gittuf/gittuf

Package: gittuf
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${misc:Built-Using},
Static-Built-Using:
 ${misc:Static-Built-Using},
Description: security layer for Git repositories (program)
 gittuf is a security layer for Git repositories. With gittuf, any
 developer who can pull from a Git repository can independently verify
 that the repository's security policies were followed. gittuf's policy,
 inspired by The Update Framework (TUF) (https://theupdateframework.io/),
 handles key management for all trusted developers in a repository,
 allows for setting permissions for repository branches, tags, files,
 etc., protects against other attacks
 (https://ssl.engineering.nyu.edu/papers/torres_toto_usenixsec-2016.pdf)
 Git is vulnerable to, and more — all while being backwards compatible
 with forges such as GitHub and GitLab.
 .
 gittuf is currently in alpha. gittuf's metadata may have breaking
 changes, meaning a repository's gittuf policy may have to be
 reinitialized from time to time. As such, gittuf is currently not
 intended to be the primary mechanism for enforcing a repository's
 security.
 .
 That said, we're actively seeking feedback from users. Take a look at
 the get started guide (/docs/get-started.md) to learn how to install and
 try gittuf out!
 .
 This package contains the command-line gittuf tool.

Package: golang-github-gittuf-gittuf-dev
Section: golang
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-charmbracelet-bubbles-dev,
 golang-github-charmbracelet-bubbletea-dev,
 golang-github-charmbracelet-lipgloss-dev,
 golang-github-danwakefield-fnmatch-dev,
 golang-github-github-smimesign-dev,
 golang-github-go-git-go-git-dev,
 golang-github-google-go-github-dev,
 golang-github-hiddeco-sshsig-dev,
 golang-github-in-toto-attestation-dev,
 golang-github-jonboulle-clockwork-dev,
 golang-github-protonmail-go-crypto-dev,
 golang-github-secure-systems-lab-go-securesystemslib-dev,
 golang-github-sigstore-cosign-dev,
 golang-github-sigstore-gitsign-dev,
 golang-github-sigstore-protobuf-specs-dev,
 golang-github-sigstore-sigstore-dev,
 golang-github-sigstore-sigstore-go-dev (>> 0.7.0~),
 golang-github-spf13-cobra-dev,
 golang-github-stretchr-testify-dev,
 golang-golang-x-crypto-dev,
 golang-google-protobuf-dev,
 ${misc:Depends},
Description: security layer for Git repositories (Go library)
 gittuf is a security layer for Git repositories.
 .
 This package contains the Go development library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk # DEB_VERSION

export DH_GOLANG_EXCLUDES := docs/cli

%:
	dh $@ --builddirectory=_build --buildsystem=golang

# For some reason Go's testing.Tempdir() doesn't find a suitable
# temporary directory in some debci/autopkgtest environments, and
# instead default to /tmp which doesn't always exists.
# === RUN   TestRemoveRule
#     targets_test.go:379: failed to run command /usr/bin/ssh-keygen -m rfc4716 -e -f /tmp/TestRemoveRule-1dfa01853253dae5bd29526a195910359a81799f6d3a66a3606d6e7d0642cd6c: exit status 255 ssh-keygen: /tmp/TestRemoveRule-1dfa01853253dae5bd29526a195910359a81799f6d3a66a3606d6e7d0642cd6c: No such file or directory
# --- FAIL: TestRemoveRule (0.00s)
override_dh_auto_test:
	mkdir -pv $(CURDIR)/debian/gotmp
	env GOTMPDIR=$(CURDIR)/debian/gotmp TMPDIR=$(CURDIR)/debian/gotmp \
		dh_auto_test
	rm -rfv $(CURDIR)/debian/gotmp

B = $(CURDIR)/debian/tmp/usr/bin
M = $(CURDIR)/debian/tmp/usr/share/man/man1

ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
execute_before_dh_installman-arch:
	mkdir -pv $(M)
	help2man --version-string="$(DEB_VERSION)" \
		--no-info \
		--name="security layer for git(1) repositories" \
		--output $(M)/gittuf.1 \
		$(B)/gittuf
	help2man --version-string="$(DEB_VERSION)" \
		--no-info --no-discard-stderr \
		--name="gittuf remote plugin for git" \
		--output $(M)/git-remote-gittuf.1 \
		$(B)/git-remote-gittuf
endif

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/gittuf/gittuf/tags .*/v?(\d\S*)\.tar\.gz debian

## gittuf 0.12.0

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 endif
 
 test :
-	go test -timeout 20m -v ./...
+	go test -race -timeout 20m -v ./...
 
 fmt :
 	go fmt ./...

=== debian/changelog ===
gittuf (0.12.0-1) unstable; urgency=medium

  * New upstream version 0.9.0
  * Use watch v5.
  * Drop Rules-Requires-Root: no.
  * Drop unused lintian override.
  * Refresh patches.
  * Refresh B-D's.
  * Don't install /usr/bin/sandbox.
  * Avoid hard-coded paths in manpages.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 08 Oct 2025 10:22:20 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Simon Josefsson <simon@josefsson.org>,
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-golang,
@@ -14,7 +13,6 @@
  golang-github-charmbracelet-bubbletea-dev,
  golang-github-charmbracelet-lipgloss-dev,
  golang-github-danwakefield-fnmatch-dev,
- golang-github-github-smimesign-dev,
  golang-github-go-git-go-git-dev,
  golang-github-google-go-github-dev,
  golang-github-hiddeco-sshsig-dev,
@@ -29,6 +27,7 @@
  golang-github-sigstore-sigstore-go-dev (>> 0.7.0~),
  golang-github-spf13-cobra-dev,
  golang-github-stretchr-testify-dev,
+ golang-github-yuin-gopher-lua-dev,
  golang-golang-x-crypto-dev,
  golang-google-protobuf-dev,
  help2man <!nodoc>,
@@ -82,7 +81,6 @@
  golang-github-charmbracelet-bubbletea-dev,
  golang-github-charmbracelet-lipgloss-dev,
  golang-github-danwakefield-fnmatch-dev,
- golang-github-github-smimesign-dev,
  golang-github-go-git-go-git-dev,
  golang-github-google-go-github-dev,
  golang-github-hiddeco-sshsig-dev,
@@ -97,6 +95,7 @@
  golang-github-sigstore-sigstore-go-dev (>> 0.7.0~),
  golang-github-spf13-cobra-dev,
  golang-github-stretchr-testify-dev,
+ golang-github-yuin-gopher-lua-dev,
  golang-golang-x-crypto-dev,
  golang-google-protobuf-dev,
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 include /usr/share/dpkg/pkg-info.mk # DEB_VERSION
 
-export DH_GOLANG_EXCLUDES := docs/cli
+export DH_GOLANG_EXCLUDES := docs/cli docs/sandbox
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang
@@ -25,14 +25,16 @@
 ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
 execute_before_dh_installman-arch:
 	mkdir -pv $(M)
+	env PATH=$(PATH):$(B) \
 	help2man --version-string="$(DEB_VERSION)" \
 		--no-info \
 		--name="security layer for git(1) repositories" \
 		--output $(M)/gittuf.1 \
-		$(B)/gittuf
+		gittuf
+	env PATH=$(PATH):$(B) \
 	help2man --version-string="$(DEB_VERSION)" \
 		--no-info --no-discard-stderr \
 		--name="gittuf remote plugin for git" \
 		--output $(M)/git-remote-gittuf.1 \
-		$(B)/git-remote-gittuf
+		git-remote-gittuf
 endif

=== debian/watch ===
Version: 5
Template: Github
Owner: gittuf
Project: gittuf
